import { localize } from '../../nls.js';
import { ParseErrorCode } from './json.js';
function getParseErrorMessage(errorCode) {
    switch (errorCode) {
        case ParseErrorCode.InvalidSymbol: return ( localize(1582, 'Invalid symbol'));
        case ParseErrorCode.InvalidNumberFormat: return ( localize(1583, 'Invalid number format'));
        case ParseErrorCode.PropertyNameExpected: return ( localize(1584, 'Property name expected'));
        case ParseErrorCode.ValueExpected: return ( localize(1585, 'Value expected'));
        case ParseErrorCode.ColonExpected: return ( localize(1586, 'Colon expected'));
        case ParseErrorCode.CommaExpected: return ( localize(1587, 'Comma expected'));
        case ParseErrorCode.CloseBraceExpected: return ( localize(1588, 'Closing brace expected'));
        case ParseErrorCode.CloseBracketExpected: return ( localize(1589, 'Closing bracket expected'));
        case ParseErrorCode.EndOfFileExpected: return ( localize(1590, 'End of file expected'));
        default:
            return '';
    }
}
export { getParseErrorMessage };
