import { Codicon } from '../../../../base/common/codicons.js';
import { localize } from '../../../../nls.js';
import { registerIcon } from '../../../../platform/theme/common/iconRegistry.js';
const selectKernelIcon = registerIcon('notebook-kernel-select', Codicon.serverEnvironment, ( localize(5628, 'Configure icon to select a kernel in notebook editors.')));
const executeIcon = registerIcon('notebook-execute', Codicon.play, ( localize(5629, 'Icon to execute in notebook editors.')));
const configIcon = registerIcon('notebook-config', Codicon.gear, ( localize(5630, 'Icon to configure in notebook editors.')));
const executeAboveIcon = registerIcon('notebook-execute-above', Codicon.runAbove, ( localize(5631, 'Icon to execute above cells in notebook editors.')));
const executeBelowIcon = registerIcon('notebook-execute-below', Codicon.runBelow, ( localize(5632, 'Icon to execute below cells in notebook editors.')));
const stopIcon = registerIcon('notebook-stop', Codicon.primitiveSquare, ( localize(5633, 'Icon to stop an execution in notebook editors.')));
const deleteCellIcon = registerIcon('notebook-delete-cell', Codicon.trash, ( localize(5634, 'Icon to delete a cell in notebook editors.')));
const executeAllIcon = registerIcon('notebook-execute-all', Codicon.runAll, ( localize(5635, 'Icon to execute all cells in notebook editors.')));
const editIcon = registerIcon('notebook-edit', Codicon.pencil, ( localize(5636, 'Icon to edit a cell in notebook editors.')));
const stopEditIcon = registerIcon('notebook-stop-edit', Codicon.check, ( localize(5637, 'Icon to stop editing a cell in notebook editors.')));
const moveUpIcon = registerIcon('notebook-move-up', Codicon.arrowUp, ( localize(5638, 'Icon to move up a cell in notebook editors.')));
const moveDownIcon = registerIcon('notebook-move-down', Codicon.arrowDown, ( localize(5639, 'Icon to move down a cell in notebook editors.')));
const clearIcon = registerIcon('notebook-clear', Codicon.clearAll, ( localize(5640, 'Icon to clear cell outputs in notebook editors.')));
const splitCellIcon = registerIcon('notebook-split-cell', Codicon.splitVertical, ( localize(5641, 'Icon to split a cell in notebook editors.')));
const successStateIcon = registerIcon('notebook-state-success', Codicon.check, ( localize(5642, 'Icon to indicate a success state in notebook editors.')));
const errorStateIcon = registerIcon('notebook-state-error', Codicon.error, ( localize(5643, 'Icon to indicate an error state in notebook editors.')));
const pendingStateIcon = registerIcon('notebook-state-pending', Codicon.clock, ( localize(5644, 'Icon to indicate a pending state in notebook editors.')));
const executingStateIcon = registerIcon('notebook-state-executing', Codicon.sync, ( localize(5645, 'Icon to indicate an executing state in notebook editors.')));
const collapsedIcon = registerIcon('notebook-collapsed', Codicon.chevronRight, ( localize(5646, 'Icon to annotate a collapsed section in notebook editors.')));
const expandedIcon = registerIcon('notebook-expanded', Codicon.chevronDown, ( localize(5647, 'Icon to annotate an expanded section in notebook editors.')));
const openAsTextIcon = registerIcon('notebook-open-as-text', Codicon.fileCode, ( localize(5648, 'Icon to open the notebook in a text editor.')));
const revertIcon = registerIcon('notebook-revert', Codicon.discard, ( localize(5649, 'Icon to revert in notebook editors.')));
const renderOutputIcon = registerIcon('notebook-render-output', Codicon.preview, ( localize(5650, 'Icon to render output in diff editor.')));
const mimetypeIcon = registerIcon('notebook-mimetype', Codicon.code, ( localize(5651, 'Icon for a mime type in notebook editors.')));
const copyIcon = registerIcon('notebook-copy', Codicon.copy, ( localize(5652, 'Icon to copy content to clipboard')));
const previousChangeIcon = registerIcon('notebook-diff-editor-previous-change', Codicon.arrowUp, ( localize(5653, 'Icon for the previous change action in the diff editor.')));
const nextChangeIcon = registerIcon('notebook-diff-editor-next-change', Codicon.arrowDown, ( localize(5654, 'Icon for the next change action in the diff editor.')));
const variablesViewIcon = registerIcon('variables-view-icon', Codicon.debugAlt, ( localize(5655, 'View icon of the variables view.')));
export { clearIcon, collapsedIcon, configIcon, copyIcon, deleteCellIcon, editIcon, errorStateIcon, executeAboveIcon, executeAllIcon, executeBelowIcon, executeIcon, executingStateIcon, expandedIcon, mimetypeIcon, moveDownIcon, moveUpIcon, nextChangeIcon, openAsTextIcon, pendingStateIcon, previousChangeIcon, renderOutputIcon, revertIcon, selectKernelIcon, splitCellIcon, stopEditIcon, stopIcon, successStateIcon, variablesViewIcon };
